Aria: ArRetFunctor3< Ret, P1, P2, P3 > Class Template Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArRetFunctor3< Ret, P1, P2, P3 > Class Template Reference

`#include <ArFunctor.h>`

Inheritance diagram for ArRetFunctor3< Ret, P1, P2, P3 >:

List of all members.

## Detailed Description

### template<class Ret, class P1, class P2, class P3>
class ArRetFunctor3< Ret, P1, P2, P3 >

Base class for functors with a return value with 3 parameters.

This is the base class for functors with a return value and take 3 parameters. Code that has a reference to a functor that returns a value and takes 3 parameters should use this class name. This allows the code to know how to invoke the functor without knowing which class the member function is in.

For an overall description of functors, see ArFunctor.

## Public Member Functions
virtual Ret | invokeR (P1 p1, P2 p2, P3 p3)=0
| Invokes the functor with return value.
virtual Ret | invokeR (P1 p1, P2 p2)=0
| Invokes the functor with return value.
virtual Ret | invokeR (P1 p1)=0
| Invokes the functor with return value.
virtual Ret | invokeR (void)=0
| Invokes the functor with return value.
virtual | ~ArRetFunctor3 ()
| Destructor.

## Member Function Documentation

template<class Ret, class P1, class P2, class P3>

virtual Ret ArRetFunctor3< Ret, P1, P2, P3 >::invokeR | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3 |
| ) |  |  | `[pure virtual]`

Invokes the functor with return value.

Parameters:

  | p1 | first parameter
  | p2 | second parameter
  | p3 | third parameter

Implemented in ArRetFunctor4< Ret, P1, P2, P3, P4 >, ArGlobalRetFunctor3< Ret, P1, P2, P3 >, ArGlobalRetFunctor4< Ret, P1, P2, P3, P4 >, ArRetFunctor3C< Ret, T, P1, P2, P3 >, ArRetFunctor4C< Ret, T, P1, P2, P3, P4 >, ArConstRetFunctor3C< Ret, T, P1, P2, P3 >, ArConstRetFunctor4C< Ret, T, P1, P2, P3, P4 >, and ArRetFunctor3C< bool, ArConfig, ArArgumentBuilder *, char *, size_t >.

template<class Ret, class P1, class P2, class P3>

virtual Ret ArRetFunctor3< Ret, P1, P2, P3 >::invokeR | ( | P1 | p1,
|  | P2 | p2 |
| ) |  |  | `[pure virtual]`

Invokes the functor with return value.

Parameters:

  | p1 | first parameter
  | p2 | second parameter

Implements ArRetFunctor2< Ret, P1, P2 >.

Implemented in ArRetFunctor4< Ret, P1, P2, P3, P4 >, ArGlobalRetFunctor3< Ret, P1, P2, P3 >, ArGlobalRetFunctor4< Ret, P1, P2, P3, P4 >, ArRetFunctor3C< Ret, T, P1, P2, P3 >, ArRetFunctor4C< Ret, T, P1, P2, P3, P4 >, ArConstRetFunctor3C< Ret, T, P1, P2, P3 >, ArConstRetFunctor4C< Ret, T, P1, P2, P3, P4 >, and ArRetFunctor3C< bool, ArConfig, ArArgumentBuilder *, char *, size_t >.

template<class Ret, class P1, class P2, class P3>

virtual Ret ArRetFunctor3< Ret, P1, P2, P3 >::invokeR | ( | P1 | p1 | ) | `[pure virtual]`

Invokes the functor with return value.

Parameters:

  | p1 | first parameter

Implements ArRetFunctor2< Ret, P1, P2 >.

Implemented in ArRetFunctor4< Ret, P1, P2, P3, P4 >, ArGlobalRetFunctor3< Ret, P1, P2, P3 >, ArGlobalRetFunctor4< Ret, P1, P2, P3, P4 >, ArRetFunctor3C< Ret, T, P1, P2, P3 >, ArRetFunctor4C< Ret, T, P1, P2, P3, P4 >, ArConstRetFunctor3C< Ret, T, P1, P2, P3 >, ArConstRetFunctor4C< Ret, T, P1, P2, P3, P4 >, and ArRetFunctor3C< bool, ArConfig, ArArgumentBuilder *, char *, size_t >.

The documentation for this class was generated from the following file:

- ArFunctor.h